### Method

# ICalGLib TimeSpan clone

since: 3.0.5

#### Declaration [src]

    ICalTimeSpan*
    i_cal_time_span_clone (
      const ICalTimeSpan* src
    )

#### Description [src]

Creates a new `ICalTimeSpan`, clone of `src`. Free it with g_object_unref(), when no longer needed.

Available since: 3.0.5

#### Return value

Type: `ICalTimeSpan`

The newly created `ICalTimeSpan`, clone of `src`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.